import * as Apollo from '@apollo/client/index.js';

const defaultOptions = {};
const InstallDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "mutation",
    "name": {
      "kind": "Name",
      "value": "install"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "vsix"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "String"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "install"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "vsix"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "vsix"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "uuid"
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useInstallMutation__
 *
 * To run a mutation, you first call `useInstallMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useInstallMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [installMutation, { data, loading, error }] = useInstallMutation({
 *   variables: {
 *      vsix: // value for 'vsix'
 *   },
 * });
 */
function useInstallMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(InstallDocument, options);
}
const RemoveDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "mutation",
    "name": {
      "kind": "Name",
      "value": "remove"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "String"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "removeExtension"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "id"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useRemoveMutation__
 *
 * To run a mutation, you first call `useRemoveMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useRemoveMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeMutation, { data, loading, error }] = useRemoveMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
function useRemoveMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(RemoveDocument, options);
}
const GalleryExtensionDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "galleryExtension"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "extensionID"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "String"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "galleryExtension"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "extensionID"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "extensionID"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "name"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "icon"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "version"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "description"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "publisher"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "installCount"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "publisherDisplayName"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "rating"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "ratingCount"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "displayName"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "assets"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "download"
                },
                "selectionSet": {
                  "kind": "SelectionSet",
                  "selections": [{
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "uri"
                    }
                  }, {
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "fallbackUri"
                    }
                  }]
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "resources"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "icon"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "readme"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "manifest"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "changelog"
                }
              }]
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useGalleryExtensionQuery__
 *
 * To run a query within a React component, call `useGalleryExtensionQuery` and pass it any options that fit your needs.
 * When your component renders, `useGalleryExtensionQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGalleryExtensionQuery({
 *   variables: {
 *      extensionID: // value for 'extensionID'
 *   },
 * });
 */
function useGalleryExtensionQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(GalleryExtensionDocument, options);
}
const ExtensionsByLimitDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "ExtensionsByLimit"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "first"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "Int"
          }
        }
      }
    }, {
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "prioritizeExtensionIDs"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "ListType",
          "type": {
            "kind": "NonNullType",
            "type": {
              "kind": "NamedType",
              "name": {
                "kind": "Name",
                "value": "String"
              }
            }
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "extensions"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "first"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "first"
            }
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "prioritizeExtensionIDs"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "prioritizeExtensionIDs"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "nodes"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "url"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "extensionID"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "viewerCanAdminister"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "manifest"
                },
                "selectionSet": {
                  "kind": "SelectionSet",
                  "selections": [{
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "bundleURL"
                    }
                  }, {
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "raw"
                    }
                  }, {
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "name"
                    }
                  }, {
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "activationEvents"
                    }
                  }]
                }
              }]
            }
          }]
        }
      }]
    }
  }]
};
const GalleryDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "gallery"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "query"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "GalleryQueryInput"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "gallery"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "query"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "query"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "page"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "firstPage"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "name"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "icon"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "version"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "description"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "publisher"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "installCount"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "publisherDisplayName"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "rating"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "ratingCount"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "displayName"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "assets"
                },
                "selectionSet": {
                  "kind": "SelectionSet",
                  "selections": [{
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "download"
                    },
                    "selectionSet": {
                      "kind": "SelectionSet",
                      "selections": [{
                        "kind": "Field",
                        "name": {
                          "kind": "Name",
                          "value": "uri"
                        }
                      }, {
                        "kind": "Field",
                        "name": {
                          "kind": "Name",
                          "value": "fallbackUri"
                        }
                      }]
                    }
                  }]
                }
              }]
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useGalleryQuery__
 *
 * To run a query within a React component, call `useGalleryQuery` and pass it any options that fit your needs.
 * When your component renders, `useGalleryQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGalleryQuery({
 *   variables: {
 *      query: // value for 'query'
 *   },
 * });
 */
function useGalleryQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(GalleryDocument, options);
}
const InstalledExtensionsDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "installedExtensions"
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "installed"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "identifier"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "uuid"
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "galleryIdentifier"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "uuid"
                }
              }]
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "extension"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "name"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "icon"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "displayName"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "installCount"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "description"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "version"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "identifier"
                },
                "selectionSet": {
                  "kind": "SelectionSet",
                  "selections": [{
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "id"
                    }
                  }, {
                    "kind": "Field",
                    "name": {
                      "kind": "Name",
                      "value": "uuid"
                    }
                  }]
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "publisherDisplayName"
                }
              }]
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useInstalledExtensionsQuery__
 *
 * To run a query within a React component, call `useInstalledExtensionsQuery` and pass it any options that fit your needs.
 * When your component renders, `useInstalledExtensionsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useInstalledExtensionsQuery({
 *   variables: {
 *   },
 * });
 */
function useInstalledExtensionsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(InstalledExtensionsDocument, options);
}

export { ExtensionsByLimitDocument, GalleryDocument, GalleryExtensionDocument, InstallDocument, InstalledExtensionsDocument, RemoveDocument, useGalleryExtensionQuery, useGalleryQuery, useInstallMutation, useInstalledExtensionsQuery, useRemoveMutation };
//# sourceMappingURL=generated.js.map
