import { map, ignoreElements, concatMap, tap } from 'rxjs/operators/index.js';
import { ofType } from 'redux-observable';
import { CONTRIBUTION_ACTION_TYPES } from '@adminide-stack/extension-api';

/**
 *
 * @param action$
 * @param state$
 * @param param2
 */
const registerContributionsEpic = (action$, state$, {
  apolloClient,
  services
}) => action$.pipe(ofType(CONTRIBUTION_ACTION_TYPES.REGISTER_CONTRIBUTIONS), map(action => services.contribution.registerContributions(action.payload)), ignoreElements());
const deregisterContributionsEpic = (action$, state$, {
  apolloClient,
  services
}) => action$.pipe(ofType(CONTRIBUTION_ACTION_TYPES.DEREGISTER_CONTRIBUTIONS), map(action => services.contribution.deregisterContributions(action.payload)), ignoreElements());
const getActiveContributionsEpic = (action$, state$, {
  apolloClient,
  services
}) => action$.pipe(ofType(CONTRIBUTION_ACTION_TYPES.GET_CONTRIBUTIONS), concatMap(action => services.contribution.getContributions()), tap(x => console.log(x)));

export { deregisterContributionsEpic, getActiveContributionsEpic, registerContributionsEpic };
//# sourceMappingURL=contribution-epics.js.map
